# Uses of Enum Class
org.eclipse.emf.cdo.server.db.IPreparedStatementCache.ReuseProbability

Packages that use IPreparedStatementCache.ReuseProbability
Package
Description
org.eclipse.emf.cdo.server.db
Server concepts for dealing with DB stores and accessors.

## Uses of IPreparedStatementCache.ReuseProbability in org.eclipse.emf.cdo.server.db

Methods in org.eclipse.emf.cdo.server.db that return IPreparedStatementCache.ReuseProbability
Modifier and Type
Method
Description
`static IPreparedStatementCache.ReuseProbability`
IPreparedStatementCache.ReuseProbability.`valueOf(String name)`
Deprecated.
Returns the enum constant of this class with the specified name.
`static IPreparedStatementCache.ReuseProbability[]`
IPreparedStatementCache.ReuseProbability.`values()`
Deprecated.
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.eclipse.emf.cdo.server.db with parameters of type IPreparedStatementCache.ReuseProbability
Modifier and Type
Method
Description
`PreparedStatement`
IPreparedStatementCache.`getPreparedStatement(String sql, IPreparedStatementCache.ReuseProbability reuseProbability)`
Deprecated.